Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 2759263002: Add image-first-tests flag to run-webkit-tests (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months ago by Gleb Lanbin
Modified:
2 months ago
CC:
blink-reviews, chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add image-first-tests flag to run-webkit-tests --image-first-tests specifies directories or test that will be only checked against image expectations if available and fall back to text expectations otherwise. The reason for this change: Layout team is working on the new layout engine LayoutNG http://goo.gl/1hwhfX that may change the output of layout tree that we use in LayoutTests. So we want to experiment with LayoutTest runner and switch some LayoutTests folders to rely on image expectations only. BUG=703314 Review-Url: https://codereview.chromium.org/2759263002 Cr-Commit-Position: refs/heads/master@{#458850} Committed: https://chromium.googlesource.com/chromium/src/+/f77fa82e53b77897192ea45788e4b2f5e697190b

Patch Set 1 #

Total comments: 8

Patch Set 2 : fix comments #

Total comments: 2

Patch Set 3 : fix more comments #

Patch Set 4 : Only run compare_txt_fn if !is_testharness_test #

Unified diffs Side-by-side diffs Delta from patch set Stats (+36 lines, -4 lines) Patch
M third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/controllers/layout_test_runner.py View 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/controllers/single_test_runner.py View 1 2 3 2 chunks +21 lines, -4 lines 0 comments Download
M third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/base.py View 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/run_webkit_tests.py View 1 2 1 chunk +9 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 26 (14 generated)
Gleb Lanbin
2 months ago (2017-03-20 20:10:36 UTC) #2
eae
I like this change and think it makes a lot of sense for many of ...
2 months ago (2017-03-20 20:30:35 UTC) #3
Dirk Pranke (slow)
+qyearsley, +jeffcarp who are the real owners of this code now. I discussed this approach ...
2 months ago (2017-03-20 23:22:27 UTC) #5
eae
> I will point out, of course, that if there's visible text in the test ...
2 months ago (2017-03-20 23:25:33 UTC) #6
eae
> I will point out, of course, that if there's visible text in the test ...
2 months ago (2017-03-20 23:25:33 UTC) #7
Gleb Lanbin
https://codereview.chromium.org/2759263002/diff/1/third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/controllers/single_test_runner.py File third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/controllers/single_test_runner.py (right): https://codereview.chromium.org/2759263002/diff/1/third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/controllers/single_test_runner.py#newcode30 third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/controllers/single_test_runner.py:30: from collections import namedtuple On 2017/03/20 23:22:27, Dirk Pranke ...
2 months ago (2017-03-21 17:31:52 UTC) #8
Dirk Pranke (slow)
LGTM. On 2017/03/21 17:31:52, Gleb Lanbin wrote: > On 2017/03/20 23:22:27, Dirk Pranke wrote: > ...
2 months ago (2017-03-21 22:10:53 UTC) #9
qyearsley
LGTM :-) Should there be an issue filed for (possibly, later) switching over all pixel ...
2 months ago (2017-03-21 22:44:10 UTC) #10
Gleb Lanbin
On 2017/03/21 22:44:10, qyearsley wrote: > LGTM :-) > > Should there be an issue ...
2 months ago (2017-03-22 00:12:17 UTC) #11
eae
LGTM
2 months ago (2017-03-22 19:35:40 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759263002/60001
2 months ago (2017-03-22 19:47:13 UTC) #23
commit-bot: I haz the power
2 months ago (2017-03-22 19:53:07 UTC) #26
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/f77fa82e53b77897192ea45788e4...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06